Bug 97264 - Some files will not be strippped
Some files will not be strippped
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: python (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-06-12 07:52 EDT by Enrico Scholz
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 00:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-06-12 07:52:52 EDT
Description of problem:

python library-files will be installed user non-writable so the
automatic debuginfo-packaging will not strip the packages:

| $ rpm --rebuild python-2.2.3-3.src.rpm
| ...
| extracting debug info from /var/tmp/python-2.2.3-root/usr/lib/python2.2/lib-dynload/shmmodule.so
| eu-strip: while opening "/var/tmp/python-2.2.3-root/usr/lib/python2.2/lib-dynload/shmmodule.so": Permission denied
| ...
| # rpm -U python-2.2.3-3.i386.rpm
| $ file /usr/lib/python2.2/lib-dynload/shmmodule.so
| /usr/lib/python2.2/lib-dynload/shmmodule.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), not stripped
|                                                                                                           ~~~~~~~~~~~~
| $ ls -l /usr/lib/python2.2/lib-dynload/shmmodule.so
| -r-xr-xr-x    1 root     root        63552  6. Jun 18:28 /usr/lib/python2.2/lib-dynload/shmmodule.so
    ~

Version-Release number of selected component (if applicable):

rpm-4.2.1-0.11
redhat-rpm-config-8.0.24-3
python-2.2.3-3
Comment 1 Mihai Ibanescu 2003-06-17 13:41:45 EDT
Yeppers. Very funny.
Comment 2 Mihai Ibanescu 2004-10-07 00:53:49 EDT
I believe I fixed this a long time ago.

Note You need to log in before you can comment on or make changes to this bug.